Bug 1670271 - xorg-x11-drv-nouveau-1.0.17 is available [NEEDINFO]
Summary: xorg-x11-drv-nouveau-1.0.17 is available
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-29 06:06 UTC by Upstream Release Monitoring
Modified: 2021-09-27 12:46 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
sanjay.ankur: needinfo? (bskeggs)


Attachments (Terms of Use)
[patch] Update to 1.0.17 (#1670271) (1.16 KB, patch)
2021-01-23 18:58 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2019-01-29 06:06:56 UTC
Latest upstream release: 1.0.16
Current version/release in rawhide: 1.0.15-6.fc29
URL: http://xorg.freedesktop.org/archive/individual/driver/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5229/

Comment 1 MicMor 2019-07-29 21:34:25 UTC
Description of problem:


hello, 

would it be possible to propose the update of the "nouveau" driver

Because there is a lot of error with version 1.0.15. The version 1.0.16 may correct these errors.

Thank You

Version-Release number of selected component (if applicable):

current version 1.0.15 new version 1.0.16


changelog: https://cgit.freedesktop.org/nouveau/xf86-video-nouveau/log/




Additional info:

source: https://cgit.freedesktop.org/nouveau/xf86-video-nouveau/


also for the F30

Thank You

Comment 2 MicMor 2019-07-31 14:27:56 UTC
uname --all
Linux micmormobile 5.1.20-300.fc30.x86_64 #1 SMP Fri Jul 26 15:03:11 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux




dmesg | grep nouveau
[    2.759407] nouveau: detected PR support, will not use DSM
[    2.759573] nouveau 0000:01:00.0: NVIDIA GP107 (137000a1)
[    3.116471] nouveau 0000:01:00.0: bios: version 86.07.2b.00.15
[    3.171634] nouveau 0000:01:00.0: fb: 2048 MiB GDDR5
[    3.219418] nouveau 0000:01:00.0: DRM: VRAM: 2048 MiB
[    3.219440] nouveau 0000:01:00.0: DRM: GART: 536870912 MiB
[    3.219441] nouveau 0000:01:00.0: DRM: BIT table 'A' not found
[    3.219442] nouveau 0000:01:00.0: DRM: BIT table 'L' not found
[    3.219443] nouveau 0000:01:00.0: DRM: Pointer to TMDS table invalid
[    3.219444] nouveau 0000:01:00.0: DRM: DCB version 4.1
[    3.220489] nouveau 0000:01:00.0: DRM: MM: using COPY for buffer copies
[    3.220923] [drm] Initialized nouveau 1.3.1 20120801 for 0000:01:00.0 on minor 1
[   15.754100] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[   25.881386] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[   37.783669] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[   87.515536] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[  170.655955] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]

Comment 3 MicMor 2019-08-14 09:35:21 UTC
Hello,

I'm sorry I do not see much progress in updating the "nouveau" driver. Some distributions already offer it in version 1.0.16, such as ubuntu 19.x. When in the fedora? Because we ask to privilege the open-source driver but it is very little followed, it's a pity.

Comment 5 MicMor 2019-09-19 19:38:58 UTC
Still no news and fedora 31 is approaching, it's a shame.

Comment 6 MicMor 2019-09-25 04:58:42 UTC
Too bad the fedora does not improve the "nouveau" driver. This driver is forgotten yet he is the only free driver that can handle nvidia cards

Comment 7 Ankur Sinha (FranciscoD) 2020-12-15 09:47:17 UTC
Hi Ben,

Any updates here? We're seeing quite a few folks report issues with the newer kernels and were wondering if the new version of the driver may help?

Example: https://ask.fedoraproject.org/t/machine-will-not-boot-with-a-5-9-kernel/10812

Cheers!

Comment 8 Ankur Sinha (FranciscoD) 2020-12-15 09:49:27 UTC
MicMor: package maintainers are volunteers, and they get busy---stuff comes up. So it isn't because we don't want to provide a newer version---we're just short of resources.

Would someone here like to open a pull request with the updated version? That, for example, would help move this along. Commenting/lamenting/ranting will not :)

Comment 9 Upstream Release Monitoring 2021-01-23 18:58:18 UTC
Latest upstream release: 1.0.17
Current version/release in rawhide: 1.0.15-11.fc34
URL: http://xorg.freedesktop.org/archive/individual/driver/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/5229/

Comment 10 Upstream Release Monitoring 2021-01-23 18:58:23 UTC
Created attachment 1750143 [details]
[patch] Update to 1.0.17 (#1670271)

Comment 11 Upstream Release Monitoring 2021-01-23 19:03:11 UTC
the-new-hotness/release-monitoring.org's scratch build of xorg-x11-drv-nouveau-1.0.17-1.fc32.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=60311499

Comment 12 grumpey0 2021-02-07 16:26:15 UTC
PR Submitted, https://src.fedoraproject.org/rpms/xorg-x11-drv-nouveau/pull-request/1

Full disclosure, I don't have hardware to check this on.

Build successfully on F33: https://koji.fedoraproject.org/koji/taskinfo?taskID=61523259
Does not build on rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=61523284
This appears to be due to: nv_include.h:72:10: fatal error: sarea.h: No such file or directory which I believe traces to this commit: https://src.fedoraproject.org/rpms/xorg-x11-server/c/38a777ceb5c99737e2acd056bdc604c03c4ef383?branch=rawhide

Comment 13 Yonatan 2021-05-02 05:58:26 UTC
Kind regards, I am writing to report a very old bug with the nouveau driver for graphics "[GeForce 7025 / nForce 630a]" which affects practically all Linux distributions, for many years it has been causing a completely scratched screen error in Xorg, while In Wayland the screen only freezes and does not allow doing anything else, the following link describes this problem in more detail:
https://nouveau.freedesktop.narkive.com/NoeonDJf/system-freeze-debian-testing-with-c61-geforce-7025-nforce-630a

Preview: https://www.mediafire.com/convkey/191d/t85974wub4smv7b6g.jpg

Please help me and do not forget this problem, I am low-income and I can't access more modern PCs, I'm afraid.

Reply to: yonatan.el.amigo@gmail.com

Comment 14 grumpey0 2021-05-02 12:26:14 UTC
(In reply to grumpey0 from comment #12)
> PR Submitted,
> https://src.fedoraproject.org/rpms/xorg-x11-drv-nouveau/pull-request/1
> 
> Full disclosure, I don't have hardware to check this on.
> 
> Build successfully on F33:
> https://koji.fedoraproject.org/koji/taskinfo?taskID=61523259
> Does not build on rawhide:
> https://koji.fedoraproject.org/koji/taskinfo?taskID=61523284
> This appears to be due to: nv_include.h:72:10: fatal error: sarea.h: No such
> file or directory which I believe traces to this commit:
> https://src.fedoraproject.org/rpms/xorg-x11-server/c/
> 38a777ceb5c99737e2acd056bdc604c03c4ef383?branch=rawhide

Updated PR to include https://cgit.freedesktop.org/nouveau/xf86-video-nouveau/commit/?id=3ee7cbca8f9144a3bb5be7f71ce70558f548d268 which resolves the issus with nv_include.h

Comment 15 Fedora Admin user for bugzilla script actions 2021-05-07 03:00:57 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 16 Fedora Admin user for bugzilla script actions 2021-05-19 00:06:41 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.


Note You need to log in before you can comment on or make changes to this bug.